/* 
 * Copyright (C) 1996 Szeredi Miklos
 * Email: mszeredi@eik.bme.hu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef SNAPSHOT_H
#define SNAPSHOT_H

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

extern void save_snapshot(void);
extern void load_snapshot(void);

extern void load_snapshot_file(char *snsh_name);

extern void snsh_save(FILE *fp);
extern void snsh_load(FILE *fp);


#ifdef __cplusplus
}
#endif

#endif /* SNAPSHOT_H */
